Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet
Class ContinuousRulesStrategy

    java.lang.Object
      org.mindswap.pellet.CompletionStrategy
          org.mindswap.pellet.SROIQStrategy
              org.mindswap.pellet.ContinuousRulesStrategy

    public class ContinuousRulesStrategy

extends SROIQStrategy

Field Summary

Fields inherited from class org.mindswap.pellet.CompletionStrategy
`log`

Constructor Summary
`ContinuousRulesStrategy(ABox abox)`

Method Summary
`void` | `addEdge(Individual subj, Role pred, Node obj, DependencySet ds)`
`void` | `addType(Node node, aterm.ATermAppl c, DependencySet ds)`
`void` | `applyRULERule()`
`void` | `mergeTo(Node y, Node z, DependencySet ds)` Merge node y into z.
`void` | `restore(org.mindswap.pellet.Branch branch)`

Methods inherited from class org.mindswap.pellet.CompletionStrategy
`getInitializeIterator, initialize, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContinuousRulesStrategy

    public ContinuousRulesStrategy(ABox abox)

Method Detail

### addEdge

    public void addEdge(Individual subj,
                        Role pred,
                        Node obj,
                        DependencySet ds)

  Overrides:
    `addEdge` in class `CompletionStrategy`

### addType

    public void addType(Node node,
                        aterm.ATermAppl c,
                        DependencySet ds)

  Overrides:
    `addType` in class `CompletionStrategy`

### applyRULERule

    public void applyRULERule()

### mergeTo

    public void mergeTo(Node y,
                        Node z,
                        DependencySet ds)

  Description copied from class: `CompletionStrategy`
  Merge node y into z. Node y and all its descendants will be pruned from the completion graph.

  Overrides:
    `mergeTo` in class `CompletionStrategy`
  Parameters:
    `y` - Node being pruned
    `z` - Node that is being merged into
    `ds` - Dependency of this merge operation

### restore

    public void restore(org.mindswap.pellet.Branch branch)

  Overrides:
    `restore` in class `CompletionStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.